Subject: Re: Git send-email fail on Mac OS X Lion

From: Torsten Bögershausen <[email-masked]>
Date: Sun, 13 Oct 2013 10:32:40 +0200

(Please, not top-posting)

>> On Oct 12, 2013, at 8:47 AM, "brian m. carlson" <[email-masked]> wrote:
>>
>>> On Fri, Oct 11, 2013 at 11:06:17PM -0500, Fernando Ortiz (e2k) wrote:
>>> I'm getting the following error when I do:
>>>
>>> git send-email --compose --from Fernando Ortiz <[email-masked]> --to [email-masked] --cc [email-masked] 0001-Change-zcat-to-gzcat-to-fix-build-restore-steps.patch
>>>
>>> Net::SSLeay version 1.46 required--this is only version 1.36 at /Users/fortiz/perl5/perlbrew/perls/perl-5.14.4/lib/site_perl/5.14.4/IO/Socket/SSL.pm line 17.
>>
>> Here's your answer: Net::SSLeay is too old for IO::Socket::SSL.  You
>> either need to use cpan or cpanm to install a newer Net::SSLeay, and
>> then it will work.

On 2013-10-12 19.40, Gmail wrote:> Brian,
> 
> I already tried to reinstall with cpan/m using -f -i options.  I even removed the PERL5LIB location and reinstalled the packages from scratch to no avail.
> 
> Nando
> 
> Sent from my iPhone
> 
This may be a stupid question:
Which perl is in your $PATH ?
What do you get entering
type perl
on the command line ?
/Torsten